Skip to end of metadata
Go to start of metadata

Message

When running the Loftware Oracle Connector installation program, setup.exe, a LaunchAnywhere Error dialog box appears during the initial stages of the installation preventing the installation from continuing.

LaunchAnywhere Error: Windows error 2 occured while loading the Java VM

Explanation

The system you are performing the Loftware Connector for Oracle 4.1 installation on has multiple versions of Java installed. The installation program uses InstallAnywhere, a Java-based software tool, which does not use the JAVA_HOME environment variable to determine which java runtime to use during the installation. Instead, a search on the system for an installed Java Runtime Environment (JRE) is performed which may result in the wrong Java version being referenced by the installation package resulting in the LaunchAnywhere error shown above. 

Solution

The solution is to specify the exact JRE to be used for the installation which prevents the installation program, setup.exe, from searching the system for an installed JRE.  This is done by running setup.exe from a command prompt and using the LAX_VM parameter to set the desired JRE.

This method can be performed using the steps shown below:

  1. Open a Command Prompt window using the Run as administrator option.
  2. Navigate to the folder where the installation program, setup.exe, is located.
  3. Execute setup.exe along with the LAX_VM parameter and specify the path and filename to the specific java.exe you wish to use. 
    For example:

    setup.exe LAX_VM "C:\Program Files\Java\jdk1.7.0_60\bin\java.exe"
  4. Continue the installation as expected.

 

 

Article Number

2017123

Versions

Loftware Connector for Oracle version 4.1

Environment

Loftware Connector for Oracle version 4.1 Windows environments